CREATE TABLE cmr_auto_accrual_clr_dtls (
    CMR_PO_DISTRIBUTION_ID     NUMBER(18, 0) ,
    BUSINESS_UNIT_ID           NUMBER(18, 0)     NOT NULL,
    ACCRUAL_CLR_GROUP_ID       NUMBER(18, 0) ,
    ACCRUAL_CLR_RULE_NAME      VARCHAR2(100) ,
    ACCRUAL_STATUS             VARCHAR2(100) ,
    ACCRUAL_CLEARED_DATE       TIMESTAMP(6)  ,
    ACCRUAL_TXN_DATE           TIMESTAMP(6)  ,
    ACTIVE_FLAG                VARCHAR2(4)   ,
    ACCRUAL_PROCESS_STATUS     VARCHAR2(20)  ,
    DELIVERY_PROCESS_STATUS    VARCHAR2(20)  ,
    CMR_ACCRUAL_AMT            NUMBER        ,
    AP_ACCRUAL_AMT             NUMBER        ,
    ACCRUAL_CLR_AMT            NUMBER        ,
    PO_LINE_LOCATION_ID        NUMBER(18, 0) ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    REQUEST_ID                 NUMBER(18, 0) ,
    JOB_DEFINITION_NAME        VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE     VARCHAR2(3600),
    CMR_PO_DISTRIBUTION_ID     NUMBER(18, 0) ,
    BUSINESS_UNIT_ID           NUMBER(18, 0)     NOT NULL,
    ACCRUAL_CLR_RULE_NAME      VARCHAR2(100) ,
    ACCRUAL_STATUS             VARCHAR2(100) ,
    ACCRUAL_CLEARED_DATE       TIMESTAMP(6)  ,
    ACCRUAL_PROCESS_STATUS     VARCHAR2(20)  ,
    DELIVERY_PROCESS_STATUS    VARCHAR2(20)  ,
    CMR_ACCRUAL_AMT            NUMBER        ,
    AP_ACCRUAL_AMT             NUMBER        ,
    ACCRUAL_CLR_AMT            NUMBER        ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    REQUEST_ID                 NUMBER(18, 0) ,
    JOB_DEFINITION_NAME        VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE     VARCHAR2(3600),
    ACTIVE_FLAG                VARCHAR2(4)   ,
    ACCRUAL_CLR_GROUP_ID       NUMBER(18, 0) ,
    ACCRUAL_TXN_DATE           TIMESTAMP(6)  ,
    PO_LINE_LOCATION_ID        NUMBER(18, 0) ,
    CONSTRAINT pk_cmr_auto_accrual_clr_dtls PRIMARY KEY (CMR_PO_DISTRIBUTION_ID, ACCRUAL_CLEARED_DATE, CMR_PO_DISTRIBUTION_ID, ACCRUAL_CLEARED_DATE)
);
